¿Qué versión de Eclipse debo usar para una aplicación de Android?

4 minutos de lectura

avatar de usuario
Imrul.H

Estoy empezando a desarrollar aplicaciones Android. ¿Qué versión de Eclipse debo usar?

Veo que hay 11 versiones. Estoy confundido con estos:

  1. Eclipse IDE para desarrolladores de Java
  2. Eclipse clásico 3.6.1
  3. Eclipse IDE para desarrolladores de Java EE
  4. Pulsar para desarrolladores móviles

  • Como esta pregunta ya tiene 9 meses, ¿puede testificar que la respuesta mejor calificada a continuación sigue siendo la mejor?

    – Mateng

    10 de julio de 2011 a las 18:39

  • en realidad esa fue la respuesta más rápida y me ayudó mucho a ahorrar tiempo. Estaba satisfecho con eso y merece la mejor respuesta.

    – Imrul.H

    13 de julio de 2011 a las 5:27

avatar de usuario
jeff axelrod

Actualización de julio de 2017:

De Página del complemento ADTla pregunta no debe ser formulada:

El complemento Eclipse ADT ya no es compatible, según este anuncio en junio de 2015.

El complemento Eclipse ADT tiene muchos errores conocidos y posibles errores de seguridad que no se solucionarán.

Debe cambiar inmediatamente para usar Estudio Android, el IDE oficial para Android. Para obtener ayuda con la transición de sus proyectos, lea Migrar a Android Studio.

  • desde el enlace del desarrollador de Android, veo este http://eclipse.org/mobile/. probablemente una versión optimizada para desarrolladores móviles

    – codificador

    3 de marzo de 2013 a las 5:06

  • @Jeff Axelrod ¿Quiso decir Eclipse Classic 3.6.1?

    –Roy Lee

    29 de marzo de 2013 a las 7:47


  • Acabo de recibir el paquete. En una nota al margen, estoy ASI QUE ¡Listo para cambiar a Android Studio!

    – Alguien en algún lugar

    17 de enero de 2014 a las 0:46

  • FYI, hoy en día la respuesta es migrar su desarrollo de Eclipse a Android Studio: desarrollador.android.com/studio/intro/migrate.html o si comienza hoy, omita Eclipse por completo: desarrollador.android.com/studio/index.html

    – El fabricante de herramientas Steve

    19 de septiembre de 2016 a las 9:10

avatar de usuario
programador

los más fácil La solución es descargar el paquete SDK de Android:

http://developer.android.com/sdk/installing/bundle.html

El paquete ADT proporciona todo lo que necesita para comenzar a desarrollar aplicaciones, incluida una versión de Eclipse IDE con ADT (herramientas para desarrolladores de Android) integradas para agilizar el desarrollo de su aplicación Android.

  • Google ha secuestrado ese enlace y ahora va a la instalación de Android Studio. Odiaba Android Studio y nunca salí del infierno de gradle. Tal vez soy tonto. – de vuelta a eclipse para mí.

    – pdschuller

    24 de febrero de 2015 a las 2:52

avatar de usuario
entoncesengah

Literalmente hice esto hace 1 hora.

  1. SDK R7
  2. Obtener Java – si no tiene (es el primer enlace de imagen JDK)
  3. Obtener Eclipse – es el primero de la lista con más descargas
  4. Complemento de Android

Descargue los archivos apropiados para su sistema operativo. El SDK de Android necesita Java para poder instalarse. Una vez que haya instalado el SDK de Android, obtenga Eclipse e instálelo. Básicamente descargue el archivo y luego descomprímalo en un directorio. La instalación de Android es la misma pero instalará muchos más archivos. (5) Finalmente, abra eclipse y vaya a ayuda> instale un nuevo software> y agregue la URL al complemento; usé este https://dl-ssl.google.com/android/eclipse/

  • Consulte mis notas sobre el complemento de Android (ADT) y la incompatibilidad de Helios. Puede parecer que funciona inicialmente, pero actualmente los desarrolladores de Android ADT no lo recomiendan.

    –Jeff Axelrod

    30 de octubre de 2010 a las 14:46


  • OK veo. Tuve algunos errores, no estoy seguro de dónde venían.

    -thenengah

    30 de octubre de 2010 a las 16:34

avatar de usuario
kyle clegg

Lanzado en junio de 2012, Eclipse para desarrolladores móviles es un excelente punto de partida para los desarrolladores que buscan centrarse en el desarrollo de Android. Lo he usado para varios proyectos desde agosto y no me ha decepcionado.

avatar de usuario
ARIZONA_

**Junio ​​2012 **

Google recomienda Eclipse Helios, Eclipse Classic o Eclipse RCP. Para más detalles, lea la publicación a continuación.

URL: http://developer.android.com/sdk/eclipse-adt.html

Mira por debajo ADT 18.0.0 (abril de 2012).

Se requiere Eclipse Helios (Versión 3.6.2) o superior para ADT 18.0.0.

Mira por debajo Instalación del complemento ADT.

Si necesita instalar o actualizar Eclipse, puede descargarlo desde http://www.eclipse.org/descargas/. Los “eclipse clásicoSe recomienda la versión “. De lo contrario, se recomienda una versión Java o RCP de Eclipse.

Abril 2014 Actualizado

Se requiere Eclipse Indigo (Versión 3.7.2) o superior. Te sugiero que uses Eclipse Kepler.

ADT 22.6.0 (marzo de 2014)

avatar de usuario
Vikas Patidar

Eclipse 3.5 para Java Developer es la mejor opción para usted y la versión 3.6 es buena, pero no en absoluto debido a problemas de compatibilidad.

avatar de usuario
Pedro Mortensen

A partir del 10/2011… el clásico está bien para el desarrollo de Android.

Ver Comparar paquetes de Eclipse para un buen gráfico.

¿Ha sido útil esta solución?

Esta web utiliza cookies propias y de terceros para su correcto funcionamiento y para fines analíticos y para mostrarte publicidad relacionada con sus preferencias en base a un perfil elaborado a partir de tus hábitos de navegación. Al hacer clic en el botón Aceptar, acepta el uso de estas tecnologías y el procesamiento de tus datos para estos propósitos. Configurar y más información
Privacidad